Difference between revisions of "Draft BezCurve/it"

From FreeCAD Documentation
Jump to: navigation, search
(Replaced content with "===Vincolare i nodi===")
 
(28 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav/it|[[Draft_Facebinder/it|Lega facce]]|[[Draft_Label/it|Etichetta]]|[[Draft_Module/it|Draft]]|IconL=Draft_Facebinder.svg |IconC=Workbench_Draft.svg|IconR=Draft_Label.svg }}
+
{{Docnav/it|[[Draft_Facebinder/it|Lega facce]]|[[Draft CubicBezCurve/it|Curva di Bézier cubica]]|[[Draft_Module/it|Draft]]|IconL=Draft_Facebinder.svg |IconC=Workbench_Draft.svg|IconR=Draft CubicBezCurve.svg }}
  
{{GuiCommand/it|Name=Draft BezCurve|Name/it=Curva di Bezier|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Curva di Bézier|Shortcut=B Z|SeeAlso=[[Draft Wire/it|Polilinea]], [[Draft BSpline/it|B-spline]]
+
{{GuiCommand/it|Name=Draft BezCurve|Name/it=Curva di Bezier|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Strumenti Beziér → Curva di Bézier|Shortcut=B Z|SeeAlso=[[Draft Wire/it|Polilinea]], [[Draft BSpline/it|B-spline]]
 
|Version=0.14}}
 
|Version=0.14}}
  
 
==Descrizione==  
 
==Descrizione==  
  
Lo strumento Curva di Bézier crea una [http://en.wikipedia.org/wiki/Bezier_curve Curva di Bezier], o un suo tratto, da più punti. Assume [[Draft Linestyle/it|lo spessore e il colore]] precedentemente impostati nella Barra dei comandi del [[Draft Tray/it|Vassoio di Draft]].
+
Lo strumento Curva di Bézier crea una [http://en.wikipedia.org/wiki/Bezier_curve Curva di Bezier], o un suo tratto, da più punti. Assume [[Draft Linestyle/it|lo spessore e il colore]] precedentemente impostati nella [[Draft Tray/it|barra di Draft]].
  
 
Lo strumento Curva di Bezier utilizza {{Emphasis|i punti di controllo}} per definire la direzione della curva; invece lo strumento [[Draft BSpline/it|B-spline]] specifica i punti esatti attraverso i quali deve passare la curva. Per creare curve circolari o ellittiche esatte, usare [[Draft Arc/it|Arco]] e [[Draft Ellipse/it|Ellisse]].
 
Lo strumento Curva di Bezier utilizza {{Emphasis|i punti di controllo}} per definire la direzione della curva; invece lo strumento [[Draft BSpline/it|B-spline]] specifica i punti esatti attraverso i quali deve passare la curva. Per creare curve circolari o ellittiche esatte, usare [[Draft Arc/it|Arco]] e [[Draft Ellipse/it|Ellisse]].
Line 27: Line 27:
 
===Vincolare i nodi===
 
===Vincolare i nodi===
  
The segment endpoints can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint.
+
I punti finali del segmento possono essere vincolati in modo tale che i punti di controllo adiacenti siano tangenti o simmetrici rispetto ai segmenti nel punto finale.
First, start editing the curve, then pick one of the tools and then pick a point. Click again on the tool to deactivate it, so you can move the point.
+
Iniziare a modificare la curva, poi scegliere uno degli strumenti e quindi scegliere un punto. Fare nuovamente clic sullo strumento per disattivarlo, in modo da poter spostare il punto.
* {{Button|[[Image:Draft_BezSharpNode.svg|32px]] sharp}} remove constraints on the points so the curve can have sharp corners.
+
* {{Button|[[Image:Draft_BezSharpNode.svg|32px]] sharp}} (crea nodo Bezier spigoloso) rimuove i vincoli sui punti in modo che la curva possa avere spigoli vivi.
* {{Button|[[Image:Draft_BezTanNode.svg|32px]] tangent}} force adjacent control points to be tangent.
+
* {{Button|[[Image:Draft_BezTanNode.svg|32px]] tangent}} (crea nodo Bezier tangente) forza i punti di controllo adiacenti a essere tangenti.
* {{Button|[[Image:Draft_BezSymNode.svg|32px]] symmetric}} force adjacent control points to be tangent and equidistant.
+
* {{Button|[[Image:Draft_BezSymNode.svg|32px]] symmetric}} (crea nodo Bezier simmetrico) forza i punti di controllo adiacenti a essere tangenti ed equidistanti.
  
<div class="mw-translate-fuzzy">
+
==Limitazioni==
===Limitazioni===
+
* Le proprietà Punti non compaiono ancora nell'elenco delle proprietà.
* Questo strumento non è disponibile prima della versione 0.14 di FreeCAD
+
* OpenCascade, e quindi FreeCAD, non supporta le curve di Bézier di grado superiore a 25. Questo non dovrebbe essere un problema nella pratica, poiché la maggior parte degli utenti usa tipicamente le curve di Bézier da 3 a 5 gradi.
* Le Proprietà Punti non compaiono ancora nell'elenco delle proprietà.
 
* OpenCascade non supporta le curve di Bezier con grado > 25. Nella pratica, questo non dovrebbe essere un problema.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
== Opzioni ==
# Premere il pulsante {{KEY|[[Image:Draft_BezCurve.png|16px]] [[Draft BezCurve/it|Curva di Bezier]]}} , oppure premere i tasti {{KEY|B}} e {{KEY|Z}}.
 
# Fare clic sul primo punto sulla vista 3D, o digitare le sue [[Draft_Coordinates/it|coordinate]]
 
# Cliccare in un altro punto nella vista 3D, o digitare le sue [[Draft_Coordinates/it|coordinate]]
 
# Premere {{KEY|F}} o {{KEY|C}}, o fare doppio clic sull'ultimo punto, oppure fare clic sul primo punto per completare e chiudere la curva.
 
===Opzioni===
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* Premere il tasto {{KEY|A}} o il pulsante {{Button|[[Image:Draft FinishLine.png|12px]] [[Draft_FinishLine/it|Termina]]}} per terminare la curva, lasciandola aperta.
* Premere {{KEY|F}} o il pulsante {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine/it|Finisci]]'''}} per interrompere la spline lasciandola aperta
+
* Premere il tasto {{KEY|O}} o il pulsante {{Button|[[Image:Draft CloseLine.png|12px]] [[Draft_CloseLine|Chiudi]]}} per chiudere la curva, cioè per aggiungere un segmento dall'ultimo punto al primo per formare una faccia. Per formare una faccia sono necessari almeno quattro punti, e una curva di grado tre.
* Premere {{KEY|C}} o il pulsante {{KEY|[[Image:Draft CloseLine.png|12px]] '''[[Draft_CloseLine/it|Chiudi]]'''}} o fare clic sul primo punto per terminare la spline, ma rendendola chiusa con l'aggiunta di un ultimo segmento tra l'ultimo punto e il primo.
+
* Premere il tasto {{KEY|W}} o il pulsante {{Button|[[Image:Draft Wipe.svg|12px]] [[Draft_Wipe|Pulisci]]}} per rimuovere i segmenti della curva già posizionati, ma continuare a creare la curva dall'ultimo punto.
* Premere {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} dopo un punto per vincolare il punto successivo sull'asse dato.
+
* Premere il tasto {{KEY|U}} o il pulsante {{Button|[[Image:Draft SelectPlane.svg|12px]] [[Draft_SelectPlane/it|Imposta il piano]]}} per posizionare il piano di lavoro corrente nell'orientamento dell'ultimo punto.
* Per inserire manualmente le coordinate, è sufficiente inserire i valori, quindi premere {{KEY|ENTER}} per ciascun componente X, Y e Z.
+
* Premere il tasto {{KEY|X}}, o {{KEY|Y}} o {{KEY|Z}} dopo un punto per vincolare il successivo punto sul dato asse.
* Premere {{KEY|R}} o cliccare nella casella per selezionare o deselezionare il pulsante {{KEY|'''Relativo'''}}. Se la modalità relativa è attivo, le coordinate del punto successivo sono relative all'ultimo. In caso contrario, esse sono assolute, prese dal punto di origine (0,0,0).
+
* Per inserire le coordinate manualmente, basta inserire i valori e poi premere {{KEY|Invio}} per ciascun componente X, Y e Z.
* Premere {{KEY/it|T}} oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità {{KEY/it|Continua}}. In modalità '''Continua''', al termine dell'operazione, lo strumento Curva di Bezier si riavvia automaticamente e permette di disegnare una nuova curva senza dover ripetere il comando.
+
* Premere il tasto {{KEY|R}} oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
* Premere {{KEY/it|CTRL}} mentre si disegna per [[Draft_Snap/it|ancorare]] il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
+
* Premere il tasto {{KEY|T}} oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Curva di Bézier si riavvia dopo aver terminato la Curva di Bézier in costruzione, e consente di disegnare una nuova Curva di Bézier senza premere nuovamente il pulsante dello strumento.
* Premere {{KEY/it|SHIFT}} mentre si disegna per [[Draft_Constrain/it|vincolare]] orizzontalmente o verticalmente il secondo punto rispetto al primo.
+
* Premere il tasto {{KEY|L}} oppure fare clic sulla casella di controllo per attivare la modalità ''riempito''. Se la modalità di riempimento è attiva una Curva di Bézier chiusa crea una faccia piena ({{PropertyData|Make Face}} {{TRUE}}); in caso contrario, la Curva di Bézier chiusa non crea una faccia ({{PropertyData|Make Face}} {{FALSE}}).
* Premere {{KEY/it|W}} o il pulsante {{KEY/it|[[Image:Draft Wipe.png|12px]] Pulisci}} per rimuovere i segmenti esistenti e avviare la spline dall'ultimo punto.
+
:{{Emphasis|Nota:}} la curva non deve essere riempita se si autointerseca, in quanto non crea una faccia corretta. Se la curva è piena ma non è visibile nessuna forma, impostare manualmente {{PropertyData|Make Face}} su {{FALSE}} per vedere la spline.
* Premere {{KEY/it|CTRL}}+{{KEY/it|Z}} o premere il pulsante {{KEY/it|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine|Annulla]]}} per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti i punti.
+
* Tenere premuto {{KEY|Ctrl}} mentre si disegna per forzare [[Draft_Snap|l'aggancio]] del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
* Premere {{KEY/it|ESC}} o premere il pulsante {{KEY/it|Cancella}} per uscire dal comando Curva di Bezier.
+
* Tenere premuto {{KEY|Maiusc}} mentre si disegna per [[Draft_Constrain|vincolare]] il punto successivo in orizzontale o in verticale rispetto all'ultimo.
</div>
+
* Premere {{KEY|Ctrl}}+{{KEY|Z}} o il pulsante {{Button|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine/it|Undo]]}} per annullare l'ultimo punto.
 +
* Premere il tasto {{KEY|Esc}} o il pulsante {{button|Chiudi}} per interrompere il comando corrente; le curve già posizionate rimamgono.
  
=== Proprietà ===
+
== Proprietà ==
  
=== Data ===
+
=== Dati ===
* {{PropertyData|Degree}}: specifies the degree of the Bezier curve or the individual segments.
+
* {{PropertyData|Degree}}: specifica il grado della curva di Bezier o dei singoli segmenti.
* {{PropertyData|Closed}}: specifies if the curve is closed or not. If the curve is initially open, this value is {{FALSE}}; setting it to {{TRUE}} will draw a segment to close the curve. If the curve is initially closed, this value is {{TRUE}}; setting it to {{FALSE}} will remove the last segment, and make the curve open.
+
* {{PropertyData|Closed}}: specifica se la curva è chiusa o no. Se la curva è inizialmente aperta, questo valore è {{FALSE}}; impostandolo su {{TRUE}} viene disegnato un segmento per chiudere la curva. Se la curva è inizialmente chiusa, questo valore è {{TRUE}}; impostandolo su {{FALSE}} si rimuove l'ultimo segmento e si apre la curva.
* {{PropertyData|Make Face}}: specifies if the curve makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object. This property only works if {{PropertyData|Closed}} is {{TRUE}}.
+
* {{PropertyData|Make Face}}: specifica se la spline crea o no una faccia. Se è {{TRUE}} crea una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto. Questa proprietà funziona solo se {{PropertyData|Closed}} è {{TRUE}}.
:{{Emphasis|Note:}} do not set {{PropertyData|Make Face}} to {{TRUE}} if the curve intersects itself, as it won't create a proper face.
+
:{{Emphasis|Nota:}} non impostare {{PropertyData|Make Face}} su {{TRUE}} se la curva si autointerseca, poiché non crea una faccia corretta.
* {{PropertyData|Continuity}}: (read-only) when the curve is closed, indicates the continuity of the curve {{incode|[0]}}, or {{incode|[0,0]}}. Otherwise it's {{incode|[]}}.
+
* {{PropertyData|Continuity}}: (sola lettura) quando la curva è chiusa, indica la continuità della curva {{incode|[0]}}, o {{incode|[0,0]}}. Altrimenti è  {{incode|[]}}.
  
=== View ===
+
=== Vista ===
* {{PropertyView|Arrow Size}}: specifies the size of the symbol displayed at the end of the curve.
+
* {{PropertyView|Arrow Size}}: specifica la dimensione del simbolo visualizzato alla fine della curva.
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the curve, which can be dot, circle, arrow, and tick.
+
* {{PropertyView|Arrow Type}}: specifica il tipo di simbolo visualizzato alla fine della curva, che può essere dot, circle, arrow, o tick.
* {{PropertyView|End Arrow}}: specifies whether to show a symbol at the last point of the curve, so it can be used as an annotation line.
+
* {{PropertyView|End Arrow}}: specifica se mostrare un simbolo nell'ultimo punto della curva, in modo che possa essere usata come una linea di annotazione.
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the closed curve. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
+
* {{PropertyView|Pattern}}: specifica un tipo di [[Draft Pattern/it|Campitura]] con cui riempire la faccia della curva chiusa. Questa proprietà funziona solo se {{PropertyData|Make Face}} è {{TRUE}}, e se {{PropertyView|Display Mode}} è "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
+
* {{PropertyView|Pattern Size}}: specifica la dimensione della [[Draft Pattern/it|Campitura]].
  
<div class="mw-translate-fuzzy">
+
== Script ==
=== Script ===
+
{{Emphasis|Vedere anche:}} [[Draft API/it|API Draft]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
</div>
 
  
<div class="mw-translate-fuzzy">
+
Lo strumento Curva di Bézier può essere usato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
Lo strumento Curva di Bezier può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console di Python]] tramite la seguente funzione:
 
</div>
 
 
{{Code|code=
 
{{Code|code=
BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, Degree=None)
+
BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, Degree=None)
+
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
* Crea un oggetto {{incode|BezCurve}} dalla data lista di punti {{incode|pointslist}}.
* Crea un oggetto curva di Bezier dalla lista di vettori dati. Invece di un pointslist, si può anche passare una Part Wire.
+
** Ogni punto della lista è definito dal suo {{incode|FreeCAD.Vector}}, con unità in millimetri.
</div>
+
** In alternativa, l'input può essere una {{incode|Part.Wire}}, da cui vengono estratti i punti.
 +
* Se {{incode|closed}} è {{incode|True}}, o se il primo e l'ultimo punto coincidono, la curva è chiusa.
 +
* Se viene dato un {{incode|placement}} esso viene usato; altrimenti la forma viene creata nell'origine.
 +
* Se {{incode|face}} è {{incode|True}} e la curva è chiusa, diventa  una faccia e appare riempita.
  
Example:
+
Esempio:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Line 108: Line 100:
 
}}
 
}}
  
{{Docnav|[[Draft_Facebinder|Facebinder]]|[[Draft_Label|Label]]|[[Draft_Module|Draft]]|IconL=Draft_Facebinder.svg |IconC=Workbench_Draft.svg|IconR=Draft_Label.svg }}
+
{{Docnav/it|[[Draft_Facebinder/it|Lega facce]]|[[Draft CubicBezCurve/it|Curva di Bézier cubica]]|[[Draft_Module/it|Draft]]|IconL=Draft_Facebinder.svg |IconC=Workbench_Draft.svg|IconR=Draft CubicBezCurve.svg }}
  
{{Draft Tools navi}}
+
{{Draft Tools navi/it}}
  
{{Userdocnavi}}
+
{{Userdocnavi/it}}
 
{{clear}}
 
{{clear}}

Latest revision as of 18:19, 6 October 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Facebinder.svg Lega facce Pagina precedente:
Pagina successiva: Curva di Bézier cubica Draft CubicBezCurve.svg Arrow-right.svg

Draft BezCurve.svg Curva di Bezier

Posizione nel menu
Draft → Strumenti Beziér → Curva di Bézier
Ambiente
Draft, Arch
Avvio veloce
B Z
Introdotto nella versione
0.14
Vedere anche
Polilinea, B-spline


Descrizione

Lo strumento Curva di Bézier crea una Curva di Bezier, o un suo tratto, da più punti. Assume lo spessore e il colore precedentemente impostati nella barra di Draft.

Lo strumento Curva di Bezier utilizza i punti di controllo per definire la direzione della curva; invece lo strumento B-spline specifica i punti esatti attraverso i quali deve passare la curva. Per creare curve circolari o ellittiche esatte, usare Arco e Ellisse.

Draft BezCurve Example.png

Curva di Bézier definita da più punti di controllo


Utilizzo

  1. Premere il pulsante Draft BezCurve.png Curva di Bézier, o premere i tasti B e poi Z.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un nuovo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Premere il tasto Esc o il pulsante Chiudi, o fare doppio clic sull'ultimo punto per terminare l'edizione.

L'oggetto viene creato come una unica curva di Bezier di grado uguale a number_of_points - 1 (al numero di punti - 1). Dopo la creazione può essere commutato in tratti di curva di Bezier di determinato grado modificando le sue proprietà.

La Curva di Bézier può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si possono spostare i punti in una nuova posizione o fare clic su Draft AddPoint.svg aggiungi punto o Draft DelPoint.svg rimuovi punto e quindi fare clic sulla curva per aggiungere o rimuovere punti. Si può anche cambiare il tipo di vincolo di ogni punto.

Vincolare i nodi

I punti finali del segmento possono essere vincolati in modo tale che i punti di controllo adiacenti siano tangenti o simmetrici rispetto ai segmenti nel punto finale. Iniziare a modificare la curva, poi scegliere uno degli strumenti e quindi scegliere un punto. Fare nuovamente clic sullo strumento per disattivarlo, in modo da poter spostare il punto.

  • Draft BezSharpNode.svg sharp (crea nodo Bezier spigoloso) rimuove i vincoli sui punti in modo che la curva possa avere spigoli vivi.
  • Draft BezTanNode.svg tangent (crea nodo Bezier tangente) forza i punti di controllo adiacenti a essere tangenti.
  • Draft BezSymNode.svg symmetric (crea nodo Bezier simmetrico) forza i punti di controllo adiacenti a essere tangenti ed equidistanti.

Limitazioni

  • Le proprietà Punti non compaiono ancora nell'elenco delle proprietà.
  • OpenCascade, e quindi FreeCAD, non supporta le curve di Bézier di grado superiore a 25. Questo non dovrebbe essere un problema nella pratica, poiché la maggior parte degli utenti usa tipicamente le curve di Bézier da 3 a 5 gradi.

Opzioni

  • Premere il tasto A o il pulsante Draft FinishLine.png Termina per terminare la curva, lasciandola aperta.
  • Premere il tasto O o il pulsante Draft CloseLine.png Chiudi per chiudere la curva, cioè per aggiungere un segmento dall'ultimo punto al primo per formare una faccia. Per formare una faccia sono necessari almeno quattro punti, e una curva di grado tre.
  • Premere il tasto W o il pulsante Draft Wipe.svg Pulisci per rimuovere i segmenti della curva già posizionati, ma continuare a creare la curva dall'ultimo punto.
  • Premere il tasto U o il pulsante Draft SelectPlane.svg Imposta il piano per posizionare il piano di lavoro corrente nell'orientamento dell'ultimo punto.
  • Premere il tasto X, o Y o Z dopo un punto per vincolare il successivo punto sul dato asse.
  • Per inserire le coordinate manualmente, basta inserire i valori e poi premere Invio per ciascun componente X, Y e Z.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Curva di Bézier si riavvia dopo aver terminato la Curva di Bézier in costruzione, e consente di disegnare una nuova Curva di Bézier senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva una Curva di Bézier chiusa crea una faccia piena (DATAMake Face True); in caso contrario, la Curva di Bézier chiusa non crea una faccia (DATAMake Face False).
Nota: la curva non deve essere riempita se si autointerseca, in quanto non crea una faccia corretta. Se la curva è piena ma non è visibile nessuna forma, impostare manualmente DATAMake Face su False per vedere la spline.
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il punto successivo in orizzontale o in verticale rispetto all'ultimo.
  • Premere Ctrl+Z o il pulsante Draft UndoLine.png Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente; le curve già posizionate rimamgono.

Proprietà

Dati

  • DATADegree: specifica il grado della curva di Bezier o dei singoli segmenti.
  • DATAClosed: specifica se la curva è chiusa o no. Se la curva è inizialmente aperta, questo valore è False; impostandolo su True viene disegnato un segmento per chiudere la curva. Se la curva è inizialmente chiusa, questo valore è True; impostandolo su False si rimuove l'ultimo segmento e si apre la curva.
  • DATAMake Face: specifica se la spline crea o no una faccia. Se è True crea una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto. Questa proprietà funziona solo se DATAClosed è True.
Nota: non impostare DATAMake Face su True se la curva si autointerseca, poiché non crea una faccia corretta.
  • DATAContinuity: (sola lettura) quando la curva è chiusa, indica la continuità della curva [0], o [0,0]. Altrimenti è [].

Vista

  • VIEWArrow Size: specifica la dimensione del simbolo visualizzato alla fine della curva.
  • VIEWArrow Type: specifica il tipo di simbolo visualizzato alla fine della curva, che può essere dot, circle, arrow, o tick.
  • VIEWEnd Arrow: specifica se mostrare un simbolo nell'ultimo punto della curva, in modo che possa essere usata come una linea di annotazione.
  • VIEWPattern: specifica un tipo di Campitura con cui riempire la faccia della curva chiusa. Questa proprietà funziona solo se DATAMake Face è True, e se VIEWDisplay Mode è "Flat Lines".
  • VIEWPattern Size: specifica la dimensione della Campitura.

Script

Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.

Lo strumento Curva di Bézier può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
  • Crea un oggetto BezCurve dalla data lista di punti pointslist.
    • Ogni punto della lista è definito dal suo FreeCAD.Vector, con unità in millimetri.
    • In alternativa, l'input può essere una Part.Wire, da cui vengono estratti i punti.
  • Se closed è True, o se il primo e l'ultimo punto coincidono, la curva è chiusa.
  • Se viene dato un placement esso viene usato; altrimenti la forma viene creata nell'origine.
  • Se face è True e la curva è chiusa, diventa una faccia e appare riempita.

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)
p4 = FreeCAD.Vector(1500, -2000, 0)

BezCurve1 = Draft.makeBezCurve([p1, p2, p3, p4], closed=True)
BezCurve2 = Draft.makeBezCurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
BezCurve3 = Draft.makeBezCurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)
Arrow-left.svg Draft Facebinder.svg Lega facce Pagina precedente:
Pagina successiva: Curva di Bézier cubica Draft CubicBezCurve.svg Arrow-right.svg